Subject: [OSPF] [Technical Errata Reported] RFC2328 (3644)

From: RFC Errata System <[email-masked]>
Date: Fri, 7 Jun 2013 12:46:49 -0700 (PDT)

The following errata report has been submitted for RFC2328,
"OSPF Version 2".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=2328&eid=3644

--------------------------------------
Type: Technical
Reported by: Preet D'Souza <[email-masked]>

Section: 2.1.2

Original Text
-------------
                                       **FROM**

                 |RT|RT|RT|RT|RT|RT|RT|RT|RT|RT|RT|RT|
                 |1 |2 |3 |4 |5 |6 |7 |8 |9 |10|11|12|N3|N6|N8|N9|
              ----- ---------------------------------------------
              RT1|  |  |  |  |  |  |  |  |  |  |  |  |0 |  |  |  |
              RT2|  |  |  |  |  |  |  |  |  |  |  |  |0 |  |  |  |
              RT3|  |  |  |  |  |6 |  |  |  |  |  |  |0 |  |  |  |
              RT4|  |  |  |  |8 |  |  |  |  |  |  |  |0 |  |  |  |
              RT5|  |  |  |8 |  |6 |6 |  |  |  |  |  |  |  |  |  |
              RT6|  |  |8 |  |7 |  |  |  |  |5 |  |  |  |  |  |  |
              RT7|  |  |  |  |6 |  |  |  |  |  |  |  |  |0 |  |  |
          *   RT8|  |  |  |  |  |  |  |  |  |  |  |  |  |0 |  |  |
          *   RT9|  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |0 |
          T  RT10|  |  |  |  |  |7 |  |  |  |  |  |  |  |0 |0 |  |
          O  RT11|  |  |  |  |  |  |  |  |  |  |  |  |  |  |0 |0 |
          *  RT12|  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |0 |
          *    N1|3 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
               N2|  |3 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
               N3|1 |1 |1 |1 |  |  |  |  |  |  |  |  |  |  |  |  |
               N4|  |  |2 |  |  |  |  |  |  |  |  |  |  |  |  |  |
               N6|  |  |  |  |  |  |1 |1 |  |1 |  |  |  |  |  |  |
               N7|  |  |  |  |  |  |  |4 |  |  |  |  |  |  |  |  |
               N8|  |  |  |  |  |  |  |  |  |3 |2 |  |  |  |  |  |
               N9|  |  |  |  |  |  |  |  |1 |  |1 |1 |  |  |  |  |
              N10|  |  |  |  |  |  |  |  |  |  |  |2 |  |  |  |  |
              N11|  |  |  |  |  |  |  |  |3 |  |  |  |  |  |  |  |
              N12|  |  |  |  |8 |  |2 |  |  |  |  |  |  |  |  |  |
              N13|  |  |  |  |8 |  |  |  |  |  |  |  |  |  |  |  |
              N14|  |  |  |  |8 |  |  |  |  |  |  |  |  |  |  |  |
              N15|  |  |  |  |  |  |9 |  |  |  |  |  |  |  |  |  |
               H1|  |  |  |  |  |  |  |  |  |  |  |10|  |  |  |  |

Corrected Text
--------------
                                    **FROM**

                 |RT|RT|RT|RT|RT|RT|RT|RT|RT|RT|RT|RT|
                 |1 |2 |3 |4 |5 |6 |7 |8 |9 |10|11|12|N3|N6|N8|N9|
              ----- ---------------------------------------------
              RT1|  |  |  |  |  |  |  |  |  |  |  |  |0 |  |  |  |
              RT2|  |  |  |  |  |  |  |  |  |  |  |  |0 |  |  |  |
              RT3|  |  |  |  |  |6 |  |  |  |  |  |  |0 |  |  |  |
              RT4|  |  |  |  |8 |  |  |  |  |  |  |  |0 |  |  |  |
              RT5|  |  |  |8 |  |6 |6 |  |  |  |  |  |  |  |  |  |
              RT6|  |  |8 |  |7 |  |  |  |  |5 |  |  |  |  |  |  |
              RT7|  |  |  |  |6 |  |  |  |  |  |  |  |  |0 |  |  |
          *   RT8|  |  |  |  |  |  |  |  |  |  |  |  |  |0 |  |  |
          *   RT9|  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |0 |
          T  RT10|  |  |  |  |  |7 |  |  |  |  |  |  |  |0 |0 |  |
          O  RT11|  |  |  |  |  |  |  |  |  |  |  |  |  |  |0 |0 |
          *  RT12|  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |0 |
          *    N1|3 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
               N2|  |3 |  |  |  |  |  |  |  |  |  |  |  |  |  |  |
               N3|1 |1 |1 |1 |  |  |  |  |  |  |  |  |  |  |  |  |
               N4|  |  |2 |  |  |  |  |  |  |  |  |  |  |  |  |  |
               N6|  |  |  |  |  |  |1 |1 |  |1 |  |  |  |  |  |  |
               N7|  |  |  |  |  |  |  |4 |  |  |  |  |  |  |  |  |
               N8|  |  |  |  |  |  |  |  |  |3 |2 |  |  |  |  |  |
               N9|  |  |  |  |  |  |  |  |1 |  |1 |1 |  |  |  |  |
              N10|  |  |  |  |  |  |  |  |  |  |  |2 |  |  |  |  |
              N11|  |  |  |  |  |  |  |  |3 |  |  |  |  |  |  |  |
              N12|  |  |  |  |8 |  |2 |  |  |  |  |  |  |  |  |  |
              N13|  |  |  |  |8 |  |  |  |  |  |  |  |  |  |  |  |
              N14|  |  |  |  |8 |  |  |  |  |  |  |  |  |  |  |  |
              N15|  |  |  |  |  |  |9 |  |  |  |  |  |  |  |  |  |
               H1|  |  |  |  |  |  |  |  |  |  |  |10|  |  |  |  |
               Ia|  |  |  |  |  |  |  |  |  |5 |  |  |  |  |  |  |
               Ib|  |  |  |  |  |7 |  |  |  |  |  |  |  |  |  |  |

Notes
-----
section 2.1.2

Page 20, Figure 2 : A sample Autonomous System.

The interfaces   Ia  and Ib  have not been added to the directed graph.
By definition of point-to-point links under OSPF, for serial interfaces defined by IP addresses,
router RT6 should advertise a stub network to Ib whereas router RT6 should advertise a stub network to Ia .

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC2328 (no draft string recorded)
--------------------------------------
Title               : OSPF Version 2
Publication Date    : April 1998
Author(s)           : J. Moy
Category            : INTERNET STANDARD
Source              : Open Shortest Path First IGP
Area                : Routing
Stream              : IETF
Verifying Party     : IESG

---

From: Acee Lindem <[email-masked]>
Date: Fri, 7 Jun 2013 15:59:49 -0400

Preet - Can you denote which boxes you changed and why? In its current state, this errata should be summarily rejected. 
Thanks,
Acee 
On Jun 7, 2013, at 3:46 PM, RFC Errata System wrote:

> _______________________________________________
> OSPF mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ospf

---

From: Preet DSouza <[email-masked]>
Date: Sat, 8 Jun 2013 01:59:48 +0530

The corrected text should be as under.
    The additions are noted in bold.

                                   **FROM**

               *Ia|  |  |  |  |  |  |  |  |  |5 |  |  |  |  |  |  |**
               Ib|  |  |  |  |  |7 |  |  |  |  |  |  |  |  |  |  |*

On Sat, Jun 8, 2013 at 1:44 AM, Preet DSouza <[email-masked]>wrote:

> Hello Acee,
>
> I made two additions.
> The last two rows in the **To** column have been added.
> They are interfaces  Ia and   Ib  which are represented as stub networks
> owing to their definition on a point-to-point link between RT6 and RT10
>
>
> On Sat, Jun 8, 2013 at 1:29 AM, Acee Lindem <[email-masked]> wrote:
>
>> Preet - Can you denote which boxes you changed and why? In its current
>> state, this errata should be summarily rejected.
>> Thanks,
>> Acee

---

From: Preet DSouza <[email-masked]>
Date: Sat, 8 Jun 2013 02:05:49 +0530

Kindly note that I've made a minor mistake in the RFC errata notes.

It says,

Notes:

section 2.1.2

The interfaces Ia and Ib have not been added to the directed graph.
By definition of point-to-point links under OSPF, for serial interfaces
defined by IP addresses,
router RT6 should advertise a stub network to Ib whereas router RT6 should
advertise a stub network to Ia .

It should say,

Notes:

section 2.1.2

The interfaces Ia and Ib have not been added to the directed graph.
By definition of point-to-point links under OSPF, for serial interfaces
defined by IP addresses,
router RT6 should advertise a stub network to Ib whereas router
*RT10*should advertise a stub network to Ia .

---

From: Preet DSouza <[email-masked]>
Date: Sat, 8 Jun 2013 02:19:46 +0530

Please refer to RFC errata ID 3645 for the corrected report which has been
submitted.

On Sat, Jun 8, 2013 at 2:05 AM, Preet DSouza <[email-masked]>wrote:

> router RT6 should advertise a stub network to Ib whereas router *RT10*should advertise a stub network to Ia .
>
>
>
>

---

From: Acee Lindem <[email-masked]>
Date: Sat, 8 Jun 2013 03:45:29 +0000

Hi Preet,
Figure 3 contains "The resulting directed graph". Since Ia and Ib are simply the endpoints of a point-to-point network, they do not represent vertexes in the directed graph and need not be included in figure 3. A point-to-point link is imply an edge in the graph. My recommendation is that your errata be rejected.
Thanks,
Acee
On Jun 7, 2013, at 4:35 PM, Preet DSouza wrote:

It says,

Notes:

section 2.1.2

It should say,

Notes:

section 2.1.2

The interfaces Ia and Ib have not been added to the directed graph.
By definition of point-to-point links under OSPF, for serial interfaces defined by IP addresses,
router RT6 should advertise a stub network to Ib whereas router RT10 should advertise a stub network to Ia .

On Sat, Jun 8, 2013 at 1:59 AM, Preet DSouza <[email-masked]<mailto:[email-masked]>> wrote:
    The corrected text should be as under.
    The additions are noted in bold.

                                   **FROM**

On Sat, Jun 8, 2013 at 1:44 AM, Preet DSouza <[email-masked]<mailto:[email-masked]>> wrote:
Hello Acee,

I made two additions.
The last two rows in the **To** column have been added.
They are interfaces  Ia and   Ib  which are represented as stub networks owing to their definition on a point-to-point link between RT6 and RT10

On Sat, Jun 8, 2013 at 1:29 AM, Acee Lindem <[email-masked]<mailto:[email-masked]>> wrote:
Preet - Can you denote which boxes you changed and why? In its current state, this errata should be summarily rejected.
Thanks,
Acee
On Jun 7, 2013, at 3:46 PM, RFC Errata System wrote:

> Reported by: Preet D'Souza <[email-masked]<mailto:[email-masked]>>
>
> Section: 2.1.2
>
> Original Text
> -------------
>                                       **FROM**
>
> [email-masked]<mailto:[email-masked]>

---

From: Preet DSouza <[email-masked]>
Date: Sat, 8 Jun 2013 11:02:03 +0530

Hello Acee,

I disagree.
To support my claim, I would like to draw your attention to Figure 1a.
"Network Map Components". Kindly refer to the first pair of figures located
at the top depicting the
network map on the left and the directed graph on the right for physical
point-to-point networks.

You will clearly notice the presence of an edge from each router to the
opposite router's interface in the directed graph. [ RT1 to  Ib     and
RT2   to  Ia]

The explanation provided for point-to-point networks on Page [14] explains
this. It reads,

        The top of Figure 1a shows two routers connected by a point-to-
        point link. In the resulting link-state database graph, the two
        router vertices are directly connected by a pair of edges, one
        in each direction. Interfaces to point-to-point networks need
        not be assigned IP addresses.  *When interface addresses are
        assigned, they are modelled as stub links, with each router
        advertising a stub connection to the other router's interface
        address.* Optionally, an IP subnet can be assigned to the point-
        to-point network. In this case, both routers advertise a stub
        link to the IP subnet, instead of advertising each others' IP
        interface addresses.

Thanks

On Sat, Jun 8, 2013 at 9:15 AM, Acee Lindem <[email-masked]>wrote:

>  Hi Preet,
> Figure 3 contains "The resulting directed graph". Since Ia and Ib are
> simply the endpoints of a point-to-point network, they do not represent
> vertexes in the directed graph and need not be included in figure 3. A
> point-to-point link is imply an edge in the graph. My recommendation is
> that your errata be rejected.
> Thanks,
> Acee
>